<?php
// $Id: XCube_ModuleController.class.php,v 1.1.2.7 2006/04/02 13:06:01 nobunobu Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                  Copyright (c) 2005 XOOPS Cube.org                        //
//                     <http://www.xoopscube.org/>                           //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //

class XCube_ModuleController
{
	var $mController;
	var $mConfig;
	
	function XCube_ModuleController(&$controller)
	{
		$this->mController=&$controller;
	}

	/**
	 * Set up this class.
	 */
	function prepare()
	{
	}

	/**
	 * If this request is calling module, return true.
	 * @return boolean
	 */
	function isModuleProcess()
	{
		return false;
	}
	
	/**
	 * If module requested is available, return true.
	 * @return boolean
	 */
	function isActive()
	{
		return false;
	}
	
	/**
	 * If the current user can access to this module, return true.
	 * @todo This method re-writes $GLOBAL['xoopsUserIsAdmin']! Wmm...
	 * @return bool
	 */
	function hasPermission()
	{
		return false;
	}

	/**
	 * @return void
	 */
	function setupLanguage()
	{
	}


	function getConfig($key=null)
	{
		if($key!=null)
			return isset($this->mConfig[$key]) ? $this->mConfig[$key] : null;
		else
			return $this->mConfig;
	}
	

	/**
	 * Return abs path.
	 * @return string
	 */
	function getModuleDir()
	{
	}
	
	/**
	 * Return a name that this depends on render system.
	 * @return string
	 */
	function getDependRenderSystem()
	{
	}
}

?>